oEmbed

You can retrieve the embed HTML code and associated metadata of public Threads posts.

GET /oembed?url=...

Retrieve the embed HTML of a public Threads post. See Embed a Threads Post for more information.

Parameters

NameDescription

url

string

Required.
Permanent link to the post on Threads.

Accepted formats:

  • https://www.threads.com/@{username}/post/{media-shortcode}
  • https://www.threads.com/t/{media-shortcode}

Examples:

  • https://www.threads.com/@meta/post/DDzbnVKx57R
  • https://www.threads.com/t/DDzbnVKx57R

maxwidth

int64

Optional.
Maximum width of returned media. Must be between 320 and 658. Note: The maxheight parameter is not supported because the embed code is responsive and its height varies depending on its width.

Fields

NameDescription

html

string

The HTML used to display the post.

provider_name

string

Name of the provider (Threads).

provider_url

string

URL of the provider (https://www.threads.com/).

type

string

The oEmbed resource type. See https://oembed.com/.

version

string

Always 1.0. See https://oembed.com/.

width

int32

The width in pixels required to display the HTML.